Page MenuHomePhabricator

VisualEditor: Tables that are inserted into Media captions will display Table caption below the table
Closed, ResolvedPublic1 Story Points

Description

Inserted table with caption

Steps to reproduce:

1 VE - Insert a media

  1. In Media Settings box insert a table and add a caption to a table. Click Insert.

The media will be inserted with a table and the table caption will be displayed below the table. The screenshot is attached.


Version: unspecified
Severity: minor

Attached:

Details

Reference
bz73435

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:59 AM
bzimport set Reference to bz73435.

Found in test2 and beta.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2016, 5:27 PM

This is an upstream issue with how Parsoid styles <figcaption>s. This rule is inherited by the table's <caption>.

Change 264600 had a related patch set uploaded (by Esanders):
Fix caption-side for tables inside figcaptions

https://gerrit.wikimedia.org/r/264600

Change 264600 merged by jenkins-bot:
Fix caption-side for tables inside figcaptions

https://gerrit.wikimedia.org/r/264600

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF closed this task as Resolved.Jan 19 2016, 1:06 AM
Jdforrester-WMF assigned this task to Esanders.